Package org.drinkless.tdlib

# Class TdApi.UpgradeGiftResult

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UpgradeGiftResult

Enclosing class:
  `TdApi`

public static class TdApi.UpgradeGiftResult extends TdApi.Object
Contains result of gift upgrading.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canBeTransferred`
  True, if the gift can be transferred to another owner.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `dropOriginalDetailsStarCount`
  Number of Telegram Stars that must be paid to drop original details of the upgraded gift; 0 if not available.
  `int`
  `exportDate`
  Point in time (Unix timestamp) when the gift can be transferred to the TON blockchain as an NFT; can be in the past.
  `TdApi.UpgradedGift`
  `gift`
  The upgraded gift.
  `boolean`
  `isSaved`
  True, if the gift is displayed on the user's or the channel's profile page.
  `int`
  `nextResaleDate`
  Point in time (Unix timestamp) when the gift can be resold to another user; can be in the past; 0 if the gift can't be resold; only for the receiver of the gift.
  `int`
  `nextTransferDate`
  Point in time (Unix timestamp) when the gift can be transferred to another owner; can be in the past; 0 if the gift can be transferred immediately or transfer isn't possible.
  `String`
  `receivedGiftId`
  Unique identifier of the received gift for the current user.
  `long`
  `transferStarCount`
  Number of Telegram Stars that must be paid to transfer the upgraded gift.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpgradeGiftResult()`
  Contains result of gift upgrading.
  `UpgradeGiftResult(TdApi.UpgradedGift gift, String receivedGiftId, boolean isSaved, boolean canBeTransferred, long transferStarCount, long dropOriginalDetailsStarCount, int nextTransferDate, int nextResaleDate, int exportDate)`
  Contains result of gift upgrading.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### gift

    public TdApi.UpgradedGift gift
    The upgraded gift.

  - ### receivedGiftId

    public String receivedGiftId
    Unique identifier of the received gift for the current user.

  - ### isSaved

    public boolean isSaved
    True, if the gift is displayed on the user's or the channel's profile page.

  - ### canBeTransferred

    public boolean canBeTransferred
    True, if the gift can be transferred to another owner.

  - ### transferStarCount

    public long transferStarCount
    Number of Telegram Stars that must be paid to transfer the upgraded gift.

  - ### dropOriginalDetailsStarCount

    public long dropOriginalDetailsStarCount
    Number of Telegram Stars that must be paid to drop original details of the upgraded gift; 0 if not available.

  - ### nextTransferDate

    public int nextTransferDate
    Point in time (Unix timestamp) when the gift can be transferred to another owner; can be in the past; 0 if the gift can be transferred immediately or transfer isn't possible.

  - ### nextResaleDate

    public int nextResaleDate
    Point in time (Unix timestamp) when the gift can be resold to another user; can be in the past; 0 if the gift can't be resold; only for the receiver of the gift.

  - ### exportDate

    public int exportDate
    Point in time (Unix timestamp) when the gift can be transferred to the TON blockchain as an NFT; can be in the past.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpgradeGiftResult

    public UpgradeGiftResult()
    Contains result of gift upgrading.

  - ### UpgradeGiftResult

    public UpgradeGiftResult(TdApi.UpgradedGift gift, String receivedGiftId, boolean isSaved, boolean canBeTransferred, long transferStarCount, long dropOriginalDetailsStarCount, int nextTransferDate, int nextResaleDate, int exportDate)
    Contains result of gift upgrading.
    Parameters:
      `gift` - The upgraded gift.
      `receivedGiftId` - Unique identifier of the received gift for the current user.
      `isSaved` - True, if the gift is displayed on the user's or the channel's profile page.
      `canBeTransferred` - True, if the gift can be transferred to another owner.
      `transferStarCount` - Number of Telegram Stars that must be paid to transfer the upgraded gift.
      `dropOriginalDetailsStarCount` - Number of Telegram Stars that must be paid to drop original details of the upgraded gift; 0 if not available.
      `nextTransferDate` - Point in time (Unix timestamp) when the gift can be transferred to another owner; can be in the past; 0 if the gift can be transferred immediately or transfer isn't possible.
      `nextResaleDate` - Point in time (Unix timestamp) when the gift can be resold to another user; can be in the past; 0 if the gift can't be resold; only for the receiver of the gift.
      `exportDate` - Point in time (Unix timestamp) when the gift can be transferred to the TON blockchain as an NFT; can be in the past.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR